STREAMZIP(1pm)

NAME
streamzip - create a zip file from stdin

SYNOPSIS
    producer | streamzip [opts] | consumer
    producer | streamzip [opts] -zipfile=output.zip

DESCRIPTION
This program will read data from stdin, compress it into a zip container and, by default, write a streamed zip file to stdout. No temporary files are created.

The zip container written to stdout is, by necessity, written in streaming format. Most programs that read Zip files can cope with a streamed zip file, but if interoperability is important, and your workflow allows you to write the zip file directly to disk you can create a non-streamed zip file using the "zipfile" option.

  OPTIONS

-zip64
    Create a Zip64-compliant zip container. Use this option if the input is greater than 4Gig.

    Default is disabled.

-zipfile=F
    Write zip container to the filename F.

    Use the "Stream" option to enable the creation of a streamed zip file.

-member-name=M
    This option is used to name the "file" in the zip container.

    Default is '-'.

-stream
    Ignored when writing to stdout.

    If the "zipfile" option is specified, including this option will trigger the creation of a streamed zip file.

    Default: Always enabled when writing to stdout, otherwise disabled.

-method=M
    Compress using method "M".

    Valid method names are

        * store    Store without compression
        * deflate  Use Deflate compression [Deflault]
        * bzip2    Use Bzip2 compression
        * lzma     Use LZMA compression

    Note that Lzma compress needs IO::Compress::Lzma to be installed.

    Default is deflate.

-version
    Display version number [$VERSION]

-help
    Display help

  When to use a Streamed Zip File
A Zip file created with streaming mode enabled allows you to create a zip file in situations where you cannot seek backwards/forwards in the file.

A good examples is when you are serving dynamic content from a Web Server straight into a socket without needing to create a temporary zip file in the filesystsm.

Similarly if your workfow uses a Linux pipelined commands.

SUPPORT
General feedback/questions/bug reports should be sent to <https://github.com/pmqs/IO-Compress/issues> (preferred) or <https://rt.cpan.org/Public/Dist/Display.html?Name=IO-Compress>.

AUTHOR
Paul Marquess pmqs@cpan.org.

COPYRIGHT
Copyright (c) 2019 Paul Marquess. All rights reserved.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.